{* ================================================================================ *}
{* ================ Вкладка "Записи в каталоге" в профиле пользователя ======================= *}
{* ================================================================================ *}
<link rel="stylesheet" type="text/css" href="/templates/{template}/css/p_usertab_uc.css" />
{* ================ Скрываем вкладку, если пользователь не добавлял записи  ======= *}
{if $hide_empty && !$total}
    <style>
		li[aria-controls=upr_p_usertab_uc]{
		display:none
		}
	</style>
{/if}
{* ==== Скрываем вкладку, если пользователь не добавлял записи конец ===== *}

{* ==== Показываем вкладку если свой профиль или админ даже если пользователь не добавлял записи ===== *}
{if $my_profile || $is_admin}
    <style>
		li[aria-controls=upr_p_usertab_uc]{
		display:block
		}
	</style>
{/if}
{* ==== Показываем вкладку, если свой профиль или админ даже если пользователь не добавлял записи конец ===== *}

{* ==== Админ и владелец видят всегда ===== *}
{if $my_profile || $is_admin}
    {if $total}
		{foreach key=id item=catalog from=$catalogs}
			<div class="uc_latest_item usertab">
				<table border="0" cellspacing="2" cellpadding="0" width="100%">
				<tr>
					<td height="110" align="center" vlaign="top">
						{if $catalog.imageurl}
							<div class="img">
								<img src="/images/catalog/small/{$catalog.imageurl}" />
						   </div>
					   {else}
							<img src="/images/catalog/small/nopic.jpg" />
					   {/if}
					</td>
				</tr>
				<tr>
					<td align="center">		
						{if $catalog.published}
							<a href="{$catalog.url}" class="uc_latest_link">{$catalog.title|truncate:25}</a>
						{else}
							<p>{$catalog.title|truncate:25}</p>
							<div class="on_moderate">{$LANG.PLU_ON_MODERATE}</div>
						{/if}
					</td>
				</tr>
				{if $catalog.price}
				<tr>
					<td align="center">
						{if $catalog.published}
							<div class="catpub">{$catalog.price} {$LANG.CURRENCY}</div>
						{else}
							<div class="catnopub">{$catalog.price} {$LANG.CURRENCY}</div>
						{/if}		
					</td>
				</tr>	
				{/if}													
			</table>		
			</div>
		{/foreach}	
	{else}
		<p>{if $my_profile}{$LANG.PLU_NO_ADD_UC_MY}{else}{$LANG.PLU_NO_ADD_UC}{/if}</p>
	{/if}
{* ==== Если не админ и не владелец применяем ограничения ===== *}
{else}
    {* ==== Не показываем авторизированным ===== *}
	{if $only_user != 0 && !$user_id}
	    {$LANG.PLU_NO_REG}
	{else}
		{* ==== Ограничение и по группе и по владельцу ===== *}
		{if $only_group != 0 && $my_products}
			{if $total}
				{if $only_group == $my_group && $my_profile}
					{foreach key=id item=catalog from=$catalogs}
						<div class="uc_latest_item usertab">
							<table border="0" cellspacing="2" cellpadding="0" width="100%">
							<tr>
								<td height="110" align="center" vlaign="top">
									{if $catalog.imageurl}
										<div class="img">
											<img src="/images/catalog/small/{$catalog.imageurl}" />
									   </div>
								   {else}
										<img src="/images/catalog/small/nopic.jpg" />
								   {/if}
								</td>
							</tr>
							<tr>
								<td align="center">		
									{if $catalog.published}
										<a href="{$catalog.url}" class="uc_latest_link">{$catalog.title|truncate:25}</a>
									{else}
										<p>{$catalog.title|truncate:25}</p>
										<div class="on_moderate">{$LANG.PLU_ON_MODERATE}</div>
									{/if}
								</td>
							</tr>
							{if $catalog.price}
							<tr>
								<td align="center">
									{if $catalog.published}
										<div class="catpub">{$catalog.price} {$LANG.CURRENCY}</div>
									{else}
										<div class="catnopub">{$catalog.price} {$LANG.CURRENCY}</div>
									{/if}		
								</td>
							</tr>	
							{/if}													
						</table>		
						</div>
					{/foreach}	
				{else}
					<p>{$LANG.PLU_NO_RIGTS}</p>
				{/if}
			{else}
				<p>{if $my_profile}{$LANG.PLU_NO_ADD_UC_MY}{else}{$LANG.PLU_NO_ADD_UC}{/if}</p>
			{/if}	
		{* ==== Ограничение только по группе ===== *}
		{else if $only_group != 0 && !$my_products}
			{if $total}
				{if $only_group == $my_group}
					{foreach key=id item=catalog from=$catalogs}
						<div class="uc_latest_item usertab">
							<table border="0" cellspacing="2" cellpadding="0" width="100%">
							<tr>
								<td height="110" align="center" vlaign="top">
									{if $catalog.imageurl}
										<div class="img">
											<img src="/images/catalog/small/{$catalog.imageurl}" />
									   </div>
								   {else}
										<img src="/images/catalog/small/nopic.jpg" />
								   {/if}
								</td>
							</tr>
							<tr>
								<td align="center">		
									{if $catalog.published}
										<a href="{$catalog.url}" class="uc_latest_link">{$catalog.title|truncate:25}</a>
									{else}
										<p>{$catalog.title|truncate:25}</p>
										<div class="on_moderate">{$LANG.PLU_ON_MODERATE}</div>
									{/if}
								</td>
							</tr>
							{if $catalog.price}
							<tr>
								<td align="center">
									{if $catalog.published}
										<div class="catpub">{$catalog.price} {$LANG.CURRENCY}</div>
									{else}
										<div class="catnopub">{$catalog.price} {$LANG.CURRENCY}</div>
									{/if}		
								</td>
							</tr>	
							{/if}													
						</table>		
						</div>
					{/foreach}
				{else}
					<p>{$LANG.PLU_NO_RIGTS}</p>
				{/if}
			{else}
				<p>{if $my_profile}{$LANG.PLU_NO_ADD_UC_MY}{else}{$LANG.PLU_NO_ADD_UC}{/if}</p>
			{/if}	
		{* ==== Ограничение только по владельцу ===== *}
		{else if $only_group == 0 && $my_products}
			{if $total}
				{if $my_profile}
					{foreach key=id item=catalog from=$catalogs}
						<div class="uc_latest_item usertab">
							<table border="0" cellspacing="2" cellpadding="0" width="100%">
							<tr>
								<td height="110" align="center" vlaign="top">
									{if $catalog.imageurl}
										<div class="img">
											<img src="/images/catalog/small/{$catalog.imageurl}" />
									   </div>
								   {else}
										<img src="/images/catalog/small/nopic.jpg" />
								   {/if}
								</td>
							</tr>
							<tr>
								<td align="center">		
									{if $catalog.published}
										<a href="{$catalog.url}" class="uc_latest_link">{$catalog.title|truncate:25}</a>
									{else}
										<p>{$catalog.title|truncate:25}</p>
										<div class="on_moderate">{$LANG.PLU_ON_MODERATE}</div>
									{/if}
								</td>
							</tr>
							{if $catalog.price}
							<tr>
								<td align="center">
									{if $catalog.published}
										<div class="catpub">{$catalog.price} {$LANG.CURRENCY}</div>
									{else}
										<div class="catnopub">{$catalog.price} {$LANG.CURRENCY}</div>
									{/if}		
								</td>
							</tr>	
							{/if}													
						</table>		
						</div>
					{/foreach}
				{else}
					<p>{$LANG.PLU_NO_RIGTS}</p>
				{/if}
			{else}
				<p>{if $my_profile}{$LANG.PLU_NO_ADD_UC_MY}{else}{$LANG.PLU_NO_ADD_UC}{/if}</p>
			{/if}
		{else}
			{if $total}
				{foreach key=id item=catalog from=$catalogs}
					<div class="uc_latest_item usertab">
						<table border="0" cellspacing="2" cellpadding="0" width="100%">
						<tr>
							<td height="110" align="center" vlaign="top">
								{if $catalog.imageurl}
									<div class="img">
										<img src="/images/catalog/small/{$catalog.imageurl}" />
								   </div>
							   {else}
									<img src="/images/catalog/small/nopic.jpg" />
							   {/if}
							</td>
						</tr>
						<tr>
							<td align="center">		
								{if $catalog.published}
									<a href="{$catalog.url}" class="uc_latest_link">{$catalog.title|truncate:25}</a>
								{else}
									<p>{$catalog.title|truncate:25}</p>
									<div class="on_moderate">{$LANG.PLU_ON_MODERATE}</div>
								{/if}
							</td>
						</tr>
						{if $catalog.price}
						<tr>
							<td align="center">
								{if $catalog.published}
									<div class="catpub">{$catalog.price} {$LANG.CURRENCY}</div>
								{else}
									<div class="catnopub">{$catalog.price} {$LANG.CURRENCY}</div>
								{/if}		
							</td>
						</tr>	
						{/if}													
					</table>		
					</div>
				{/foreach}
			{else}
				<p>{if $my_profile}{$LANG.PLU_NO_ADD_UC_MY}{else}{$LANG.PLU_NO_ADD_UC}{/if}</p>
			{/if}	
		{/if}
	{/if}
{/if}
